Bug 228159

Summary: Review Request: new-stuff-manager - program that runs in the background and downloads/installs plugins
Product: [Fedora] Fedora Reporter: Sebastian Pölsterl <sebp>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: lxtnow, opensource
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-11 13:32:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Sebastian Pölsterl 2007-02-10 17:47:17 EST
Spec URL: http://www.k-d-w.org/clipboard/review/new-stuff-manager.spec
SRPM URL: http://www.k-d-w.org/clipboard/review/new-stuff-manager-0.2.2-1.src.rpm
Description: NewStuffManager is a program that runs in the background and downloads/installs plugins. It can be used by any application through its D-Bus interface.
Comment 1 Bernard Johnson 2007-02-21 16:38:56 EST
Source0 should be what you have for URL: - a full url path to the source.
URL should be a url to the webpage of the project or other information on the
package.
Comment 2 Sebastian Pölsterl 2007-02-21 18:10:45 EST
Thanks for the advice.
I changed it and updated files are available in the same location as above.
Comment 3 Trond Danielsen 2007-03-04 04:36:03 EST
I believe that the package should own the folders, and not the content:

%{_datadir}/new-stuff-manager/*
%{_libdir}/new-stuff-manager/*

should be

%{_datadir}/new-stuff-manager
%{_libdir}/new-stuff-manager
Comment 4 Sebastian Pölsterl 2007-03-06 13:29:56 EST
I made the changes you requested and uploaded it again to the location above.
Comment 5 Trond Danielsen 2007-03-07 03:34:06 EST
Have you looked into these errors reported by rpmlint:

[~/rpmbuild/RPMS/x86_64] rpmlint new-stuff-manager-*
E: new-stuff-manager no-binary
E: new-stuff-manager only-non-binary-in-usr-lib
E: new-stuff-manager-debuginfo empty-debuginfo-package
W: new-stuff-manager-devel no-documentation
Comment 6 Sebastian Pölsterl 2007-03-07 11:19:10 EST
I solved the empty-debuginfo-package problem but I don't know about the other
ones. According to
http://fedoraproject.org/wiki/Packaging/Mono#head-6ac7bf1a99342dc113083232d0d61655780c6e9a
rpmlint doesn't like it, but it's okay.
Comment 7 Jason Tibbitts 2007-06-27 19:10:10 EDT
Sebastian, were you going to supply an updated package?  (You'll need to
increase the Release number and provide fresh links.  If you updated the package
but didn't change the release then there's no way for me to tell that you did so.)
Comment 8 Sebastian Pölsterl 2007-07-04 15:33:34 EDT
New packages of new-stuff-manager 0.2.3 for Fedora 7 are available at
http://www.k-d-w.org/clipboard/index.php?dir=review/
Comment 9 Jason Tibbitts 2007-07-06 15:38:43 EDT
I cannot download the srpm from that page.  I visited the index page, copied the
URL for the srpm to clipboard and pasted it into my builder script which tries
to wget the URL.  Unfortunately I just get redirected to some info page.  Please
just post a plain link, thanks.
Comment 11 Jason Tibbitts 2007-07-06 16:50:58 EDT
Thanks.  Unfortunately this fails to build for me (in mock, x86_64, rawhide);
configure gets down to:

checking for MONO... yes
checking for gpg... no
configure: error: you need to have gpg installed !
error: Bad exit status from /var/tmp/rpm-tmp.16869 (%build)

I can verify that gnupg2 was installed in the buildroot.
Comment 12 Till Maas 2007-09-08 08:49:31 EDT
Sebastian, the Fedora Account System does not know your e-mail address,
therefore I assume you are not already a package maintainer in Fedora and
therefore need to be sponsored. Please read:
http://fedoraproject.org/wiki/PackageMaintainers/Join
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
Comment 13 Mamoru TASAKA 2007-09-10 12:40:10 EDT
Sebastian, ping?
Comment 14 Sebastian Pölsterl 2007-09-10 13:03:51 EDT
Okay, I completed the steps in the "Get a Fedora Account" section.
Comment 15 Mamoru TASAKA 2007-09-10 13:22:16 EDT
Well, first fix the issue pointed out by Jason on comment 11.
Comment 16 Sebastian Pölsterl 2007-09-11 12:04:52 EDT
Although, I was able to fix the issue Jason reported I came across some other
problems. I didn't have time to work on this project for quite some time. I
think best is to drop this request. I request inclusion again if I'm more
comfortable.
Comment 17 Mamoru TASAKA 2007-09-11 13:32:35 EDT
Well, then please feel free to request a new review request
when you have time, thank you!